Skip to main content
POST
/
organization
Create an organization
curl --request POST \
  --url https://api.qovery.com/organization \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "website_url": "<string>",
  "repository": "<string>",
  "logo_url": "<string>",
  "icon_url": "<string>",
  "admin_emails": [
    "<string>"
  ]
}
'
import requests

url = "https://api.qovery.com/organization"

payload = {
"name": "<string>",
"description": "<string>",
"website_url": "<string>",
"repository": "<string>",
"logo_url": "<string>",
"icon_url": "<string>",
"admin_emails": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
website_url: '<string>',
repository: '<string>',
logo_url: '<string>',
icon_url: '<string>',
admin_emails: ['<string>']
})
};

fetch('https://api.qovery.com/organization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "website_url": "<string>",
  "repository": "<string>",
  "logo_url": "<string>",
  "icon_url": "<string>",
  "admin_emails": [
    "<string>"
  ],
  "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "billing_deployment_restriction": "<string>",
  "organization_plan": {
    "audit_logs_retention_in_days": 123
  }
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Body

application/json
name
string
required

name is case insensitive

plan
enum<string>
required

FREE, BUSINESS & PROFESSIONAL are deprecated. 2025 plans are the new plans available.

Available options:
FREE,
TEAM,
TEAM_YEARLY,
ENTERPRISE,
ENTERPRISE_YEARLY,
PROFESSIONAL,
BUSINESS,
USER_2025,
TEAM_2025,
BUSINESS_2025,
ENTERPRISE_2025
description
string | null
website_url
string | null
repository
string | null
logo_url
string | null
icon_url
string | null
admin_emails
string[] | null

Response

Create organization

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required

name is case insensitive

plan
enum<string>
required

FREE, BUSINESS & PROFESSIONAL are deprecated. 2025 plans are the new plans available.

Available options:
FREE,
TEAM,
TEAM_YEARLY,
ENTERPRISE,
ENTERPRISE_YEARLY,
PROFESSIONAL,
BUSINESS,
USER_2025,
TEAM_2025,
BUSINESS_2025,
ENTERPRISE_2025
updated_at
string<date-time>
read-only
description
string | null
website_url
string | null
repository
string | null
logo_url
string | null
icon_url
string | null
admin_emails
string[] | null
owner
string<uuid>

uuid of the user owning the organization

billing_deployment_restriction
string | null

If set, indicates a billing-related restriction on the organization. 'NO_CREDIT_CARD' means the organization is on a free trial without a credit card — managed cluster creation and deployments on managed clusters are blocked, but demo cluster usage is allowed. Any other value blocks all deployments. null means no restriction.

organization_plan
object